> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/biddocumentprovider.md).

# BIDDocumentProvider

**public class** BIDDocumentProvider extends **Object**

↳ **package** com.onekosmos.blockid.sdk.document

***

This class is responsible for all document management, such as adding and removing identity documents and other miscellaneous documents.

### Enum Values

| Type                | Name               | Description                                                 |
| ------------------- | ------------------ | ----------------------------------------------------------- |
| RegisterDocCategory | identity\_document | A value to represent a document as an identity document     |
| RegisterDocCategory | misc\_document     | A value to represent a document as a miscellaneous document |

### Method Summary

| Type                           | Name                                                                                   | Description                                                                                                                                                                                |
| ------------------------------ | -------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **boolean**                    | checkUserDocumentExist(LinkedHashMap\<String, Object> documentMap)                     | Checks and returns if the given document is already available in BlockID blockchain platform                                                                                               |
| int                            | getDocumentCount()                                                                     | Returns enrolled document count                                                                                                                                                            |
| String                         | getEnrolledDocumentList()                                                              | Returns the list of all documents.                                                                                                                                                         |
| **static** BIDDocumentProvider | getInstance()                                                                          | Returns an instance of BIDDocumentProvider.                                                                                                                                                |
| String                         | getUserDocument(@Nullable String id, @Nullable String type, @Nullable String category) | Checks and returns document based on given criteria. All or any of the input parameter can be NULL. If all the parameter will be NULL, the method returns list of all documents registered |
| **boolean**                    | isDocumentEnrolled(String type, String category)                                       | Checks and returns if the document is registered based on given type and category                                                                                                          |

### Method Detail

#### checkUserDocumentExist

**public boolean** checkUserDocumentExist(LinkedHashMap\<String, Object> documentMap)

* Checks and returns whether the given document is already available in the BlockID blockchain platform.

| Parameters  |                                                                  |
| ----------- | ---------------------------------------------------------------- |
| documentMap | **LinkedHashMap\<String, Object>**: The document to be looked up |

***

#### getDocumentCount

**public** int getDocumentCount()

* Returns the enrolled document count.

***

#### getEnrolledDocumentList

**public** String getEnrolledDocumentList()

* Returns the list of all documents.

***

#### getInstance

**public static synchronized** BIDDocumentProvider getInstance()

* Returns an instance of BIDDocumentProvider.

***

#### getUserDocument

**public** String getUserDocument(@Nullable String id, @Nullable String type, @Nullable String category)

* Checks and returns a document based on the given criteria. All or any of the input parameters can be NULL. If all parameters are NULL, the method returns a list of all registered documents.

| Parameters |                                                                           |
| ---------- | ------------------------------------------------------------------------- |
| id         | **String**: The number for which the user has requested the document      |
| type       | **String**: The type of document (DL, PPT, etc.).                         |
| category   | **String**: The category of document (identity\_document, misc\_document) |

***

#### isDocumentEnrolled

**public boolean** isDocumentEnrolled(String type, String category)

* Checks and returns whether the document is registered based on the given type and category.

| Parameters |                                                                           |
| ---------- | ------------------------------------------------------------------------- |
| type       | **String**: The type of document (DL, PPT, etc.).                         |
| category   | **String**: The category of document (identity\_document, misc\_document) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/biddocumentprovider.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
